Package de.willuhn.jameica.hbci.passports.rdh.keyformat

# Class RDH2Format

java.lang.Object
de.willuhn.jameica.hbci.passports.rdh.keyformat.AbstractKeyFormat
de.willuhn.jameica.hbci.passports.rdh.keyformat.HBCI4JavaFormat
de.willuhn.jameica.hbci.passports.rdh.keyformat.RDH2Format

All Implemented Interfaces:
  `KeyFormat`, `Comparable<KeyFormat>`

public class RDH2Format extends HBCI4JavaFormat
Implementierung des Schluesselformats fuer RDH2. http://www.onlinebanking-forum.de/phpBB2/viewtopic.php?p=50285

## Field Summary

### Fields inherited from interface de.willuhn.jameica.hbci.passports.rdh.keyformat.KeyFormat

`FEATURE_CREATE, FEATURE_IMPORT`

## Constructor Summary

Constructors
Constructor
Description
`RDH2Format()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Liefert einen sprechenden Namen des Formats.
`boolean`
`hasFeature(int feature)`
Prueft, ob das Format das angegebene Feature unterstuetzt.

### Methods inherited from class de.willuhn.jameica.hbci.passports.rdh.keyformat.HBCI4JavaFormat

`createKey, importKey, load`

### Methods inherited from class de.willuhn.jameica.hbci.passports.rdh.keyformat.AbstractKeyFormat

`compareTo, getOrder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RDH2Format

public RDH2Format()

## Method Details

### getName

public String getName()
Description copied from interface: `KeyFormat`
Liefert einen sprechenden Namen des Formats.

Specified by:
  `getName` in interface `KeyFormat`
Overrides:
  `getName` in class `HBCI4JavaFormat`
Returns:
  Sprechender Name.
See Also:
  - `KeyFormat.getName()`

### hasFeature

public boolean hasFeature(int feature)
Description copied from interface: `KeyFormat`
Prueft, ob das Format das angegebene Feature unterstuetzt.

Specified by:
  `hasFeature` in interface `KeyFormat`
Overrides:
  `hasFeature` in class `HBCI4JavaFormat`
Parameters:
  `feature` - das geforderte Feature.
Returns:
  true, wenn es unterstuetzt wird.
See Also:
  - `KeyFormat.hasFeature(int)`